=== modified file 'lib/lp/app/browser/configure.zcml'
--- lib/lp/app/browser/configure.zcml	2011-12-30 06:14:56 +0000
+++ lib/lp/app/browser/configure.zcml	2011-12-30 08:13:14 +0000
@@ -317,7 +317,7 @@
 
   <!-- TimeoutError -->
   <browser:page
-      for="canonical.lazr.timeout.TimeoutError"
+      for="lp.services.timeout.TimeoutError"
       name="index.html"
       permission="zope.Public"
       template="../templates/launchpad-requestexpired.pt"

=== modified file 'lib/lp/app/browser/root.py'
--- lib/lp/app/browser/root.py	2011-12-29 05:29:36 +0000
+++ lib/lp/app/browser/root.py	2011-12-30 08:13:14 +0000
@@ -21,17 +21,7 @@
 from zope.schema.interfaces import TooLong
 from zope.schema.vocabulary import getVocabularyRegistry
 
-from lp.services.config import config
 from lp import _
-from lp.services.statistics.interfaces.statistic import (
-    ILaunchpadStatisticSet,
-    )
-from lp.services.webapp import LaunchpadView
-from lp.services.webapp.authorization import check_permission
-from lp.services.webapp.batching import BatchNavigator
-from lp.services.webapp.publisher import canonical_url
-from lp.services.webapp.vhosts import allvhosts
-from canonical.lazr.timeout import urlfetch
 from lp.answers.interfaces.questioncollection import IQuestionSet
 from lp.app.browser.launchpadform import (
     action,
@@ -48,11 +38,19 @@
 from lp.registry.interfaces.person import IPersonSet
 from lp.registry.interfaces.pillar import IPillarNameSet
 from lp.registry.interfaces.product import IProductSet
+from lp.services.config import config
 from lp.services.googlesearch.interfaces import (
     GoogleResponseError,
     ISearchService,
     )
 from lp.services.propertycache import cachedproperty
+from lp.services.statistics.interfaces.statistic import ILaunchpadStatisticSet
+from lp.services.timeout import urlfetch
+from lp.services.webapp import LaunchpadView
+from lp.services.webapp.authorization import check_permission
+from lp.services.webapp.batching import BatchNavigator
+from lp.services.webapp.publisher import canonical_url
+from lp.services.webapp.vhosts import allvhosts
 
 
 shipit_faq_url = 'http://www.ubuntu.com/getubuntu/shipit-faq'

=== modified file 'lib/lp/app/browser/tales.py'
--- lib/lp/app/browser/tales.py	2011-12-24 17:49:30 +0000
+++ lib/lp/app/browser/tales.py	2011-12-30 08:13:14 +0000
@@ -47,18 +47,37 @@
     )
 
 from lp import _
+from lp.app.browser.badge import IHasBadges
+from lp.app.browser.stringformatter import (
+    escape,
+    FormattersAPI,
+    )
 from lp.app.interfaces.launchpad import (
     IHasIcon,
     IHasLogo,
     IHasMugshot,
     IPrivacy,
     )
+from lp.blueprints.interfaces.specification import ISpecification
+from lp.blueprints.interfaces.sprint import ISprint
+from lp.bugs.interfaces.bug import IBug
+from lp.buildmaster.enums import BuildStatus
+from lp.code.interfaces.branch import IBranch
 from lp.layers import LaunchpadLayer
+from lp.registry.interfaces.distribution import IDistribution
+from lp.registry.interfaces.distributionsourcepackage import (
+    IDistributionSourcePackage,
+    )
+from lp.registry.interfaces.person import IPerson
+from lp.registry.interfaces.product import IProduct
+from lp.registry.interfaces.projectgroup import IProjectGroup
+from lp.services.features import getFeatureFlag
 from lp.services.webapp import (
     canonical_url,
     urlappend,
     )
 from lp.services.webapp.authorization import check_permission
+from lp.services.webapp.canonicalurl import nearest_adapter
 from lp.services.webapp.interfaces import (
     IApplicationMenu,
     IContextMenu,
@@ -78,25 +97,6 @@
     nearest,
     )
 from lp.services.webapp.session import get_cookie_domain
-from canonical.lazr.canonicalurl import nearest_adapter
-from lp.app.browser.badge import IHasBadges
-from lp.app.browser.stringformatter import (
-    escape,
-    FormattersAPI,
-    )
-from lp.blueprints.interfaces.specification import ISpecification
-from lp.blueprints.interfaces.sprint import ISprint
-from lp.bugs.interfaces.bug import IBug
-from lp.buildmaster.enums import BuildStatus
-from lp.code.interfaces.branch import IBranch
-from lp.registry.interfaces.distribution import IDistribution
-from lp.registry.interfaces.distributionsourcepackage import (
-    IDistributionSourcePackage,
-    )
-from lp.registry.interfaces.person import IPerson
-from lp.registry.interfaces.product import IProduct
-from lp.registry.interfaces.projectgroup import IProjectGroup
-from lp.services.features import getFeatureFlag
 from lp.soyuz.enums import ArchivePurpose
 from lp.soyuz.interfaces.archive import IPPA
 from lp.soyuz.interfaces.archivesubscriber import IArchiveSubscriberSet

=== modified file 'lib/lp/app/browser/watermark.py'
--- lib/lp/app/browser/watermark.py	2011-12-24 17:49:30 +0000
+++ lib/lp/app/browser/watermark.py	2011-12-30 08:13:14 +0000
@@ -19,13 +19,13 @@
     TraversalError,
     )
 
-from lp.services.webapp.publisher import canonical_url
-from canonical.lazr.canonicalurl import nearest_provides_or_adapted
 from lp.app.interfaces.headings import (
     IEditableContextTitle,
     IMajorHeadingView,
     IRootContext,
     )
+from lp.services.webapp.canonicalurl import nearest_provides_or_adapted
+from lp.services.webapp.publisher import canonical_url
 
 
 class WatermarkTalesAdapter:

=== modified file 'lib/lp/registry/browser/tests/milestone-views.txt'
--- lib/lp/registry/browser/tests/milestone-views.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/registry/browser/tests/milestone-views.txt	2011-12-30 08:13:14 +0000
@@ -38,7 +38,7 @@
 for use with inline presentation of milestones.
 
     >>> from lp.services.webapp.interfaces import INavigationMenu
-    >>> from canonical.lazr.canonicalurl import nearest_adapter
+    >>> from lp.services.webapp.canonicalurl import nearest_adapter
 
     >>> view = create_view(milestone, name='+productseries-table-row')
     >>> nearest_adapter(view, INavigationMenu, name='overview')

=== modified file 'lib/lp/scripts/runlaunchpad.py'
--- lib/lp/scripts/runlaunchpad.py	2011-12-29 05:29:36 +0000
+++ lib/lp/scripts/runlaunchpad.py	2011-12-30 08:13:14 +0000
@@ -21,13 +21,13 @@
 
 from lp.services.config import config
 from lp.services.daemons import tachandler
-from canonical.lazr.pidfile import (
+from lp.services.googlesearch import googletestservice
+from lp.services.mailman import runmailman
+from lp.services.osutils import ensure_directory_exists
+from lp.services.pidfile import (
     make_pidfile,
     pidfile_path,
     )
-from lp.services.googlesearch import googletestservice
-from lp.services.mailman import runmailman
-from lp.services.osutils import ensure_directory_exists
 from lp.services.rabbit.server import RabbitServer
 from lp.services.txlongpoll.server import TxLongPollServer
 

=== modified file 'lib/lp/scripts/utilities/killservice.py'
--- lib/lp/scripts/utilities/killservice.py	2011-12-29 05:29:36 +0000
+++ lib/lp/scripts/utilities/killservice.py	2011-12-30 08:13:14 +0000
@@ -17,16 +17,16 @@
 import time
 
 from lp.services.config import config
+from lp.services.mailman.runmailman import stop_mailman
+from lp.services.pidfile import (
+    get_pid,
+    pidfile_path,
+    remove_pidfile,
+    )
 from lp.services.scripts import (
     logger,
     logger_options,
     )
-from canonical.lazr.pidfile import (
-    get_pid,
-    pidfile_path,
-    remove_pidfile,
-    )
-from lp.services.mailman.runmailman import stop_mailman
 
 
 def main():

=== renamed file 'lib/canonical/lazr/doc/pidfile.txt' => 'lib/lp/services/doc/pidfile.txt'
--- lib/canonical/lazr/doc/pidfile.txt	2011-12-29 05:29:36 +0000
+++ lib/lp/services/doc/pidfile.txt	2011-12-30 08:13:14 +0000
@@ -19,7 +19,7 @@
 from `lp.services.config.config`, and returns a pidfile path that combines the
 instance name with the service name.
 
-    >>> from canonical.lazr.pidfile import (
+    >>> from lp.services.pidfile import (
     ...     pidfile_path, make_pidfile, remove_pidfile, get_pid)
     >>> from lp.services.config import config
 
@@ -55,7 +55,7 @@
 
     >>> cmd = '''
     ... import os.path, sys
-    ... from canonical.lazr.pidfile import make_pidfile, pidfile_path
+    ... from lp.services.pidfile import make_pidfile, pidfile_path
     ... make_pidfile('nuts')
     ... sys.exit(
     ...     int(open(pidfile_path('nuts')).read().strip() == str(os.getpid()))
@@ -78,7 +78,7 @@
     >>> import time
     >>> subprocess_code = '''
     ... import time
-    ... from canonical.lazr.pidfile import make_pidfile
+    ... from lp.services.pidfile import make_pidfile
     ... make_pidfile('nuts')
     ... try:
     ...     time.sleep(30)

=== renamed file 'lib/canonical/lazr/doc/timeout.txt' => 'lib/lp/services/doc/timeout.txt'
--- lib/canonical/lazr/doc/timeout.txt	2010-10-18 22:24:59 +0000
+++ lib/lp/services/doc/timeout.txt	2011-12-30 08:13:14 +0000
@@ -4,13 +4,13 @@
 process), we want to make sure that this request is interrupted if it
 takes too long to complete.
 
-The canonical.lazr.timeout module provides a @with_timeout decorator
+The lp.services.timeout module provides a @with_timeout decorator
 that makes implementing that kind of behaviour easy.
 
 The time to wait can be passed using the timeout parameter to the
 decorator.
 
-    >>> from canonical.lazr.timeout import with_timeout
+    >>> from lp.services.timeout import with_timeout
     >>> from select import select
 
     >>> @with_timeout(timeout=0.5)
@@ -120,7 +120,7 @@
 
 By default, there is no default_timeout_function.
 
-    >>> from canonical.lazr.timeout import (get_default_timeout_function,
+    >>> from lp.services.timeout import (get_default_timeout_function,
     ...     set_default_timeout_function)
 
     >>> print get_default_timeout_function()
@@ -162,7 +162,7 @@
     >>> sock.settimeout(2)
     >>> sock.bind(('127.0.0.1', 0))
 
-    >>> from canonical.lazr.timeout import urlfetch
+    >>> from lp.services.timeout import urlfetch
 
     # Use 1s as default timeout.
     >>> set_default_timeout_function(lambda: 1)
@@ -299,7 +299,7 @@
     >>> server_thread = threading.Thread(target=server.serve_2_requests)
     >>> server_thread.start()
 
-    >>> from canonical.lazr.timeout import TransportWithTimeout
+    >>> from lp.services.timeout import TransportWithTimeout
     >>> from xmlrpclib import ServerProxy
     >>> proxy = ServerProxy('https://localhost:%d' % port,
     ...                     transport=TransportWithTimeout())

=== modified file 'lib/lp/services/googlesearch/__init__.py'
--- lib/lp/services/googlesearch/__init__.py	2011-12-29 05:29:36 +0000
+++ lib/lp/services/googlesearch/__init__.py	2011-12-30 08:13:14 +0000
@@ -26,8 +26,6 @@
 from zope.interface import implements
 
 from lp.services.config import config
-from lp.services.webapp import urlparse
-from canonical.lazr.timeout import TimeoutError
 from lp.services.googlesearch.interfaces import (
     GoogleResponseError,
     GoogleWrongGSPVersion,
@@ -36,6 +34,8 @@
     ISearchService,
     )
 from lp.services.timeline.requesttimeline import get_request_timeline
+from lp.services.timeout import TimeoutError
+from lp.services.webapp import urlparse
 
 
 class PageMatch:
@@ -205,7 +205,7 @@
         :raise: `GoogleWrongGSPVersion` if the xml cannot be parsed.
         """
         search_url = self.create_search_url(terms, start=start)
-        from canonical.lazr.timeout import urlfetch
+        from lp.services.timeout import urlfetch
         request = get_current_browser_request()
         timeline = get_request_timeline(request)
         action = timeline.start("google-search-api", search_url)

=== modified file 'lib/lp/services/googlesearch/doc/google-searchservice.txt'
--- lib/lp/services/googlesearch/doc/google-searchservice.txt	2011-12-29 05:29:36 +0000
+++ lib/lp/services/googlesearch/doc/google-searchservice.txt	2011-12-30 08:13:14 +0000
@@ -596,7 +596,7 @@
 
     >>> from socket import socket
     >>> from textwrap import dedent
-    >>> from canonical.lazr.timeout import (
+    >>> from lp.services.timeout import (
     ...     get_default_timeout_function, set_default_timeout_function)
 
     >>> server = socket()

=== modified file 'lib/lp/services/googlesearch/googletestservice.py'
--- lib/lp/services/googlesearch/googletestservice.py	2011-12-29 05:29:36 +0000
+++ lib/lp/services/googlesearch/googletestservice.py	2011-12-30 08:13:14 +0000
@@ -22,13 +22,13 @@
 import time
 
 from lp.services.config import config
-from lp.services.webapp.url import urlsplit
-from canonical.lazr.pidfile import (
+from lp.services.osutils import ensure_directory_exists
+from lp.services.pidfile import (
     get_pid,
     make_pidfile,
     pidfile_path,
     )
-from lp.services.osutils import ensure_directory_exists
+from lp.services.webapp.url import urlsplit
 
 # Set up basic logging.
 log = logging.getLogger(__name__)

=== modified file 'lib/lp/services/googlesearch/tests/test_google.py'
--- lib/lp/services/googlesearch/tests/test_google.py	2011-12-28 17:03:06 +0000
+++ lib/lp/services/googlesearch/tests/test_google.py	2011-12-30 08:13:14 +0000
@@ -11,11 +11,11 @@
     URLError,
     )
 
-from canonical.lazr.timeout import TimeoutError
-from lp.testing.layers import FunctionalLayer
 from lp.services.googlesearch import GoogleSearchService
 from lp.services.googlesearch.interfaces import GoogleResponseError
+from lp.services.timeout import TimeoutError
 from lp.testing import TestCase
+from lp.testing.layers import FunctionalLayer
 
 
 @contextmanager
@@ -29,7 +29,7 @@
     def raise_exception(url):
         raise test_error(*args)
 
-    from canonical.lazr import timeout
+    from lp.services import timeout
     original_urlfetch = timeout.urlfetch
     timeout.urlfetch = raise_exception
     try:

=== modified file 'lib/lp/services/googlesearch/tests/test_googleservice.py'
--- lib/lp/services/googlesearch/tests/test_googleservice.py	2011-12-20 08:55:34 +0000
+++ lib/lp/services/googlesearch/tests/test_googleservice.py	2011-12-30 08:13:14 +0000
@@ -12,8 +12,8 @@
 import os
 import unittest
 
-from canonical.lazr.pidfile import pidfile_path
 from lp.services.googlesearch import googletestservice
+from lp.services.pidfile import pidfile_path
 
 
 class TestServiceUtilities(unittest.TestCase):

=== modified file 'lib/lp/services/gpg/handler.py'
--- lib/lp/services/gpg/handler.py	2011-12-29 05:29:36 +0000
+++ lib/lp/services/gpg/handler.py	2011-12-30 08:13:14 +0000
@@ -27,17 +27,12 @@
 from lazr.restful.utils import get_current_browser_request
 from zope.interface import implements
 
-from lp.services.config import config
-from lp.services.webapp import errorlog
-from canonical.lazr.timeout import (
-    TimeoutError,
-    urlfetch,
-    )
 from lp.app.validators.email import valid_email
 from lp.registry.interfaces.gpg import (
     GPGKeyAlgorithm,
     valid_fingerprint,
     )
+from lp.services.config import config
 from lp.services.gpg.interfaces import (
     GPGKeyDoesNotExistOnServer,
     GPGKeyExpired,
@@ -54,6 +49,11 @@
     SecretGPGKeyImportDetected,
     )
 from lp.services.timeline.requesttimeline import get_request_timeline
+from lp.services.timeout import (
+    TimeoutError,
+    urlfetch,
+    )
+from lp.services.webapp import errorlog
 
 
 signing_only_param = """

=== modified file 'lib/lp/services/gpg/tests/test_gpghandler.py'
--- lib/lp/services/gpg/tests/test_gpghandler.py	2011-12-28 17:03:06 +0000
+++ lib/lp/services/gpg/tests/test_gpghandler.py	2011-12-30 08:13:14 +0000
@@ -18,22 +18,21 @@
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
+from lp.services.gpg.interfaces import (
+    GPGKeyDoesNotExistOnServer,
+    GPGKeyTemporarilyNotFoundError,
+    IGPGHandler,
+    )
+from lp.services.timeout import (
+    get_default_timeout_function,
+    set_default_timeout_function,
+    )
 from lp.testing import (
     ANONYMOUS,
     login,
     logout,
-    )
-from canonical.lazr.timeout import (
-    get_default_timeout_function,
-    set_default_timeout_function,
-    )
-from lp.testing.layers import LaunchpadFunctionalLayer
-from lp.services.gpg.interfaces import (
-    GPGKeyDoesNotExistOnServer,
-    GPGKeyTemporarilyNotFoundError,
-    IGPGHandler,
-    )
-from lp.testing import TestCase
+    TestCase,
+    )
 from lp.testing.gpgkeys import (
     import_secret_test_key,
     iter_test_key_emails,
@@ -41,6 +40,7 @@
     test_pubkey_from_email,
     )
 from lp.testing.keyserver import KeyServerTac
+from lp.testing.layers import LaunchpadFunctionalLayer
 
 
 class TestImportKeyRing(TestCase):

=== renamed file 'lib/canonical/lazr/pidfile.py' => 'lib/lp/services/pidfile.py'
=== added file 'lib/lp/services/privacy/__init__.py'
=== modified file 'lib/lp/services/salesforce/proxy.py'
--- lib/lp/services/salesforce/proxy.py	2011-12-29 05:29:36 +0000
+++ lib/lp/services/salesforce/proxy.py	2011-12-30 08:13:14 +0000
@@ -20,9 +20,8 @@
 from zope.component import getUtility
 from zope.interface import implements
 
+from lp.registry.interfaces.product import IProductSet
 from lp.services.config import config
-from canonical.lazr.timeout import SafeTransportWithTimeout
-from lp.registry.interfaces.product import IProductSet
 from lp.services.propertycache import cachedproperty
 from lp.services.salesforce.interfaces import (
     ISalesforceVoucher,
@@ -33,6 +32,7 @@
     SVPNotAllowedException,
     SVPNotFoundException,
     )
+from lp.services.timeout import SafeTransportWithTimeout
 
 
 def fault_mapper(func):

=== renamed file 'lib/canonical/lazr/timeout.py' => 'lib/lp/services/timeout.py'
=== modified file 'lib/lp/services/webapp/adapter.py'
--- lib/lp/services/webapp/adapter.py	2011-12-30 06:14:56 +0000
+++ lib/lp/services/webapp/adapter.py	2011-12-30 08:13:14 +0000
@@ -53,7 +53,6 @@
     )
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.lazr.timeout import set_default_timeout_function
 from lp.services import features
 from lp.services.config import (
     config,
@@ -76,6 +75,7 @@
     get_request_timeline,
     set_request_timeline,
     )
+from lp.services.timeout import set_default_timeout_function
 from lp.services.webapp.dbpolicy import MasterDatabasePolicy
 from lp.services.webapp.interaction import get_interaction_extras
 from lp.services.webapp.interfaces import (

=== modified file 'lib/lp/services/webapp/authorization.py'
--- lib/lp/services/webapp/authorization.py	2011-12-30 08:03:42 +0000
+++ lib/lp/services/webapp/authorization.py	2011-12-30 08:13:14 +0000
@@ -35,11 +35,11 @@
     PermissiveSecurityPolicy,
     )
 
-from canonical.lazr.canonicalurl import nearest_adapter
 from lp.app.interfaces.security import IAuthorization
 from lp.services.database.readonly import is_read_only
 from lp.services.database.sqlbase import block_implicit_flushes
 from lp.services.privacy.interfaces import IObjectPrivacy
+from lp.services.webapp.canonicalurl import nearest_adapter
 from lp.services.webapp.interaction import InteractionExtras
 from lp.services.webapp.interfaces import (
     AccessLevel,

=== renamed file 'lib/canonical/lazr/canonicalurl.py' => 'lib/lp/services/webapp/canonicalurl.py'
=== renamed file 'lib/canonical/lazr/doc/canonicalurl.txt' => 'lib/lp/services/webapp/doc/canonicalurl.txt'
--- lib/canonical/lazr/doc/canonicalurl.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/canonicalurl.txt	2011-12-30 08:13:14 +0000
@@ -58,7 +58,7 @@
 Right now, none of our example objects can be turned into cooking
 directions.
 
-    >>> from canonical.lazr.canonicalurl import (nearest_adapter,
+    >>> from lp.services.webapp.canonicalurl import (nearest_adapter,
     ...     nearest_context_with_adapter)
 
     >>> print nearest_adapter(root, ICookingDirections)

=== modified file 'lib/lp/services/webapp/doc/timeout.txt'
--- lib/lp/services/webapp/doc/timeout.txt	2011-12-29 05:29:36 +0000
+++ lib/lp/services/webapp/doc/timeout.txt	2011-12-30 08:13:14 +0000
@@ -8,7 +8,7 @@
 functions wrapped with the @with_timeout decorator) that computes the
 time remaining before the request should time out.
 
-    >>> from canonical.lazr.timeout import get_default_timeout_function
+    >>> from lp.services.timeout import get_default_timeout_function
     >>> from lp.services.webapp.adapter import (
     ...     set_launchpad_default_timeout)
     >>> old_func = get_default_timeout_function()
@@ -56,7 +56,7 @@
 
 Same thing if a function decorated using @with_timeout is called.
 
-    >>> from canonical.lazr.timeout import with_timeout
+    >>> from lp.services.timeout import with_timeout
     >>> @with_timeout()
     ... def wait_a_little():
     ...     time.sleep(1)
@@ -117,7 +117,7 @@
 
     >>> ignored = config.pop('timeout')
 
-    >>> from canonical.lazr.timeout import set_default_timeout_function
+    >>> from lp.services.timeout import set_default_timeout_function
     >>> set_default_timeout_function(old_func)
 
     >>> clear_request_started()

=== modified file 'lib/lp/services/webapp/tests/test_sigdumpmem.py'
--- lib/lp/services/webapp/tests/test_sigdumpmem.py	2011-12-29 05:29:36 +0000
+++ lib/lp/services/webapp/tests/test_sigdumpmem.py	2011-12-30 08:13:14 +0000
@@ -9,13 +9,13 @@
 import time
 
 from lp.services.config import config
+from lp.services.pidfile import get_pid
 from lp.services.webapp.sigdumpmem import (
     DUMP_FILE,
     SIGDUMPMEM,
     )
-from canonical.lazr.pidfile import get_pid
+from lp.testing import TestCase
 from lp.testing.layers import AppServerLayer
-from lp.testing import TestCase
 
 
 class SIGDUMPMEMTestCase(TestCase):

=== modified file 'lib/lp/testing/layers.py'
--- lib/lp/testing/layers.py	2011-12-30 07:40:25 +0000
+++ lib/lp/testing/layers.py	2011-12-30 08:13:14 +0000
@@ -101,11 +101,7 @@
     )
 from zope.server.logger.pythonlogger import PythonLogger
 
-from canonical.lazr import pidfile
-from canonical.lazr.timeout import (
-    get_default_timeout_function,
-    set_default_timeout_function,
-    )
+from lp.services import pidfile
 from lp.services.config import (
     config,
     dbconfig,
@@ -131,6 +127,10 @@
 from lp.services.rabbit.server import RabbitServer
 from lp.services.scripts import execute_zcml_for_scripts
 from lp.services.testing.profiled import profiled
+from lp.services.timeout import (
+    get_default_timeout_function,
+    set_default_timeout_function,
+    )
 from lp.services.webapp.authorization import LaunchpadPermissiveSecurityPolicy
 from lp.services.webapp.interfaces import (
     DEFAULT_FLAVOR,

=== modified file 'lib/lp/testing/tests/test_layers_functional.py'
--- lib/lp/testing/tests/test_layers_functional.py	2011-12-30 02:24:09 +0000
+++ lib/lp/testing/tests/test_layers_functional.py	2011-12-30 08:13:14 +0000
@@ -31,7 +31,6 @@
     getUtility,
     )
 
-from canonical.lazr.pidfile import pidfile_path
 from lp.services.config import config
 from lp.services.librarian.client import (
     LibrarianClient,
@@ -39,6 +38,7 @@
     )
 from lp.services.librarian.interfaces.client import ILibrarianClient
 from lp.services.memcache.client import memcache_client_factory
+from lp.services.pidfile import pidfile_path
 from lp.testing.layers import (
     AppServerLayer,
     BaseLayer,

=== modified file 'utilities/make-lp-user'
--- utilities/make-lp-user	2011-12-21 20:23:01 +0000
+++ utilities/make-lp-user	2011-12-30 08:13:14 +0000
@@ -31,24 +31,26 @@
 
 import _pythonpath
 
+from optparse import OptionParser
 import os
-from optparse import OptionParser
 import re
 import subprocess
 import sys
+
+from storm.store import Store
 import transaction
-
-from storm.store import Store
-
 from zope.component import getUtility
 
-from lp.services.gpg.interfaces import IGPGHandler
-from lp.services.scripts import execute_zcml_for_scripts
-from canonical.lazr.timeout import set_default_timeout_function
-from lp.registry.interfaces.gpg import GPGKeyAlgorithm, IGPGKeySet
+from lp.registry.interfaces.gpg import (
+    GPGKeyAlgorithm,
+    IGPGKeySet,
+    )
 from lp.registry.interfaces.person import IPersonSet
 from lp.registry.interfaces.ssh import ISSHKeySet
 from lp.registry.interfaces.teammembership import TeamMembershipStatus
+from lp.services.gpg.interfaces import IGPGHandler
+from lp.services.scripts import execute_zcml_for_scripts
+from lp.services.timeout import set_default_timeout_function
 from lp.testing.factory import LaunchpadObjectFactory
 
 # Shut up, pyflakes.

